* Encoding: windows-1252.
* Create new variable strat for paired clusters and save in a separate file.
* The program assumes that the sampling domains are urban and rural areas (HH6) within 6 regions (HH7).

get file = "hh.sav".
include "MICS6 - AC - 02 Strata pairs".

* Do calculations for national total.
echo "Total sample".
Define subgroup ()
Use all.
!enddefine.
include "MICS6 - AC - 03 Calculate".

* Do calculations for subgroups.
echo "Urban areas".
Define subgroup ()
select if (HH6 = 1).
!enddefine.
include "MICS6 - AC - 03 Calculate".

echo "Rural areas".
Define subgroup ()
select if (HH6 = 2).
!enddefine.
include "MICS6 - AC - 03 Calculate".

echo "Region 1".
Define subgroup ()
select if (HH7 = 1).
!enddefine.
include "MICS6 - AC - 03 Calculate".

echo "Region 2".
Define subgroup ()
select if (HH7 = 2).
!enddefine.
include "MICS6 - AC - 03 Calculate".

echo "Region 3".
Define subgroup ()
select if (HH7 = 3).
!enddefine.
include "MICS6 - AC - 03 Calculate".

echo "Region 4".
Define subgroup ()
select if (HH7 = 4).
!enddefine.
include "MICS6 - AC - 03 Calculate".

echo "Region 5".
Define subgroup ()
select if (HH7 = 5).
!enddefine.
include "MICS6 - AC - 03 Calculate".

erase file 'micsplan.csplan'.
erase file 'pairs.sav'.
